Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.verifier.event
Class VerificationEventGeneratorSupport

    java.lang.Object
      org.gjt.lindfors.util.EventGeneratorSupport
          org.jboss.verifier.event.VerificationEventGeneratorSupport

All Implemented Interfaces:
  Cloneable, Serializable, org.gjt.lindfors.util.Visualizable

public class VerificationEventGeneratorSupport
extends org.gjt.lindfors.util.EventGeneratorSupport

<< DESCRIBE THE CLASS HERE >> For more detailed documentation, refer to the >

Since:
  JDK 1.3
Version:
  $Revision: 1.6 $
Author:
  Juha Lindfors
See Also:
  << OTHER RELATED CLASSES >>, Serialized Form

Constructor Summary
`VerificationEventGeneratorSupport()`

Method Summary
`void` | `addVerificationListener(VerificationListener listener)`
`void` | `fireBeanChecked(VerificationEvent event)`
`void` | `fireSpecViolation(VerificationEvent event)`
`void` | `removeVerificationListener(VerificationListener listener)`

Methods inherited from class org.gjt.lindfors.util.EventGeneratorSupport
`addListener, clone, getListeners, hasListeners, removeListener, toComponent, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VerificationEventGeneratorSupport

    public VerificationEventGeneratorSupport()

Method Detail

### addVerificationListener

    public void addVerificationListener(VerificationListener listener)

### removeVerificationListener

    public void removeVerificationListener(VerificationListener listener)

### fireBeanChecked

    public void fireBeanChecked(VerificationEvent event)

### fireSpecViolation

    public void fireSpecViolation(VerificationEvent event)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.